import React, { ComponentType } from 'react';
import { ControlElement, JsonFormsRendererRegistryEntry, JsonFormsState, JsonSchema, UISchemaElement, UISchemaTester } from '@jsonforms/core';
import { JsonFormsStateContext } from '@jsonforms/react';
export interface OwnPropsOfSpectrumArrayModalItem {
    index: number;
    DNDHandle: any;
    path: string;
    schema: JsonSchema;
    indexOfFittingSchema?: number;
    removeItem(path: string, value: number): () => void;
    duplicateItem(index: number): () => void;
    uischema: ControlElement;
    renderers?: JsonFormsRendererRegistryEntry[];
    uischemas?: {
        tester: UISchemaTester;
        uischema: UISchemaElement;
    }[];
    childLabel?: string;
    childData?: any;
    rowIndex?: number;
    moveUpCreator?: ((path: string, position: number) => () => void) | undefined;
    moveDownCreator?: ((path: string, position: number) => () => void) | undefined;
}
/**
 * Map state to control props.No indexOfFittingSchema found
 * @param state the store's state
 * @param ownProps any own props
 * @returns {StatePropsOfControl} state props for a control
 */
export declare const mapStateToSpectrumArrayModalItemProps: (state: JsonFormsState, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const ctxToSpectrumArrayModalItemProps: (ctx: JsonFormsStateContext, ownProps: OwnPropsOfSpectrumArrayModalItem) => OwnPropsOfSpectrumArrayModalItem;
export declare const withJsonFormsSpectrumArrayModalItemProps: (Component: ComponentType<OwnPropsOfSpectrumArrayModalItem>) => ComponentType<any>;
declare const _default: React.ComponentType<any>;
export default _default;
